/*------------------------------------------------------------------------
 *
 * amplitude.c -- return amplitude of waveform
 *
 *------------------------------------------------------------------------
 */
#include <stdio.h>
#include <string.h>
#include <stdlib.h>


int     k;
#define MAXLEN	1000
#define MAXFLD	10



int	t;
double	sample;
double	local_amplitude;
double	amplitude;

int	sign;

int     main(argc,argv)
int     argc;
char    **argv;
{
	int	i, fieldnum, indexnum, maxfieldnum;
	char	s[MAXLEN], u[MAXLEN];
        char    *field[MAXFLD];

	if (argc != 1) {
		fprintf(stderr,"%s: no args allowed\n",argv[0]);
		exit(1);
	}

        /* read and process data
         */
        k = 0;
	maxfieldnum = 0;
	amplitude = 0;
        for (;;) {

		/* read x
		 */
                fgets(s,MAXLEN,stdin);
                if (feof(stdin))
                        break;

		s[strlen(s)-1] = '\0';
		strcpy(u,s);
		fieldnum = getargs(u,field);

		if (fieldnum != 2) {
			fprintf(stderr,"must have 2 fields\n");
			exit(-1);
		}
		t = atoi(field[0]);
		sample = atof(field[1]);

		/* update amplitude
		 *
		 * NOTE: this naive algorithm also catches
		 * transients. if one only wants to obtain
		 * steady state ampl. be sure to feed the
		 * tail of the signal to this tool
		 */
		if (sample > amplitude)
			amplitude = sample;

                k++;
        }

	/* write amplitude
	 */
	printf("%f\n",amplitude);
	fprintf(stderr,"%d samples processed\n",k);
        fclose(stdin);
}


/*----------------------------------------------------------------
 * getargs -- parse command line in argc / argv format
 *----------------------------------------------------------------
 */
int             getargs(cmd,argv)
char            *cmd,*argv[];
{
        int             argc;
        int             c,l;

        l = strlen(cmd);
        c = 0;
        for (argc = 0; c < l; argc++) {
                while (c < l && (cmd[c] == ' ' || cmd[c] == '\t'))
                        c++;
                if (c == l)
                        break;
                argv[argc] = &(cmd[c]);
                while (c < l && (cmd[c] != ' ' && cmd[c] != '\t'))
                        c++;
                cmd[c] = '\0';
                c++;
        }
        return argc;
}

