/*-------------------------------------------------------------------
 * gensin -- generate sin(freq) with SR sample rate
 *-------------------------------------------------------------------
 */
#include <stdio.h>
#include <math.h>
#include <stdlib.h>

#define TWOPI 	6.283185307179586476925287
#define SR	0.005	// 5 ms


int	main(int argc, char *argv[])
{
	int	n;
	double	f, t;

	if (argc != 2) {
		fprintf(stderr,"usage: %s freq\n",argv[0]);
		exit(-1);
	}
	f = atof(argv[1]);
	t = 1 / f;

	// print time in [ms]
	for (n = 0; n < 10000; n++) {
		printf("%d %f\n",(int) (n*SR*1000),sin(n*SR*TWOPI/t));
	}
}


